Skip to main content
PATCH
/
1
/
agents
/
{agentId}
curl
curl --request PATCH \
  --url https://example.algolia.net/agent-studio/1/agents/lorem \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
  --data '
{
  "name": "lorem",
  "description": "lorem",
  "providerId": "lorem",
  "model": "lorem",
  "instructions": "lorem",
  "systemPrompt": "lorem",
  "config": {},
  "tools": [
    {
      "name": "lorem",
      "type": "client_side",
      "description": "lorem",
      "inputSchema": {
        "type": "object",
        "properties": {},
        "required": [
          "lorem"
        ]
      }
    }
  ],
  "templateType": "lorem"
}
'
{
  "config": {},
  "createdAt": "<string>",
  "description": "<string>",
  "id": "<string>",
  "instructions": "<string>",
  "lastUsedAt": "<string>",
  "name": "<string>",
  "providerId": "<string>",
  "updatedAt": "<string>",
  "model": "<string>",
  "systemPrompt": "<string>",
  "templateType": "<string>",
  "tools": [
    {
      "description": "<string>",
      "inputSchema": {
        "properties": {},
        "required": [
          "<string>"
        ],
        "type": "object"
      },
      "name": "<string>",
      "type": "client_side"
    }
  ]
}
Required ACL: editSettings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

agentId
string
required

The agentId.

Body

application/json
config
config · object
description
string | null
instructions
string | null

The agent prompt: defines the agent's role, tone, and goals. Guides how it answers using the provided context. Corresponds to the 'Agent prompt' field in the dashboard.

model
string | null
name
string | null
providerId
string | null
systemPrompt
string | null

The system prompt: defines system-level rules and constraints. Guides how the agent uses tools, features, and generates context. Prepended before instructions in the final prompt sent to the LLM. Typically injected by an agent template — modify with caution, as changes may affect behavior, tool usage, or response accuracy. Corresponds to the 'System prompt' field in the dashboard.

templateType
string | null
tools
(clientSideToolConfig · object | algoliaSearchToolConfig · object | algoliaRecommendToolConfig · object | algoliaDisplayResultsToolConfig · object | mcpServerToolConfig · object | unknownToolConfig · object)[] | null

Response

Successful Response.

config
config · object
required
createdAt
string
required
description
string | null
required
id
string
required
instructions
string
required
lastUsedAt
string | null
required
name
string
required
providerId
string | null
required
status
enum<string>
required
Available options:
draft,
published
updatedAt
string | null
required
model
string | null
systemPrompt
string | null
templateType
string | null
tools
(clientSideToolConfig · object | algoliaSearchToolConfig · object | algoliaRecommendToolConfig · object | algoliaDisplayResultsToolConfig · object | mcpServerToolConfig · object | unknownToolConfig · object)[]
Last modified on June 11, 2026